## Building and Running from Source

### **Prerequisites**
- Ensure you have **CMake (>=3.30)**
- Use a supported toolchain: **MinGW or MSVC**

### **Steps to Build and Install**
#### **1. Generate Build Files**
Run CMake to configure the build system. **You must specify an install location**:
```sh
cmake -B build -DCMAKE_INSTALL_PREFIX=./cmake-install
```

- This creates a `build/` directory with the necessary build files.
- `./cmake-install/` will be the location where the files are installed, feel free to change this.

#### **2. Build the Project**
```sh
cmake --build build
```

#### **2. Run the Install Command**
```sh
cmake --install build
```

### Running the program
After installation, you can run the executable from the `./cmake-install` directory:
```sh
./cmake-install/bin/LightShow
```


NOTE:
If you want to use export compile commands you need to use
```sh
-DUSE_COMPILE_COMMANDS=ON
```